Impact: Correctly checks the number of bands of

multiple input files now.

Software Version:  

Description

Currently pixel2map does not test the exceptions that it can throw.

To improve test coverage of this application, an "errors" test should be written that can exercise any testable exceptional cases.

pixel2map can throw the following exceptions in the following cases:

// The FROMLIST file is empty

if (list.size() < 1)

 

USER The list file [FROMLIST] does not contain any data.

// Make sure the target is not the sky

if (g_incam->target()->isSky())

 

USER The image [cube] is targeting the sky, use skymap instead.

// Make sure all the bands for all the files match

if (i > 1 && atts0.bandsString() != lastBandString)

 

USER The Band numbers for all the files do not match.

// Image crosses longitude seam and LONSEAM is set to ERROR

else if (ui.GetString("LONSEAM") == "ERROR")

 

USER The image [cube] crosses the longitude seam

See the following internal wiki page for more information about testing exceptions in an app test.

History

#1 - 2016-11-17 11:14 AM - Ian Humphrey

- Description updated

#2 - 2016-11-28 09:55 AM - Tammy Becker

- Status changed from New to Acknowledged
http://intranet.astrogeology.wr.usgs.gov/wiki/index.php/ISIS_Application_Testing_SOP#Testing_Exceptions_Thrown_by_the_Application


#3 - 2016-12-07 03:06 PM - Curtis Rose

- Assignee set to Curtis Rose

#4 - 2016-12-07 03:09 PM - Curtis Rose

- Status changed from Acknowledged to In Progress

#5 - 2016-12-09 01:02 PM - Curtis Rose

- Impact updated

#6 - 2016-12-09 01:03 PM - Curtis Rose

- Status changed from In Progress to Resolved

#7 - 2016-12-09 01:09 PM - Ian Humphrey

- Status changed from Resolved to Closed

reviewed changes, looks good!
